Bug 749890 - Mask passwords from xmlrpc tracebacks
Mask passwords from xmlrpc tracebacks
Status: CLOSED ERRATA
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
541
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Pazdziora
Dimitar Yordanov
:
Depends On:
Blocks: sat541-triage 695282 CVE-2012-0059
  Show dependency treegraph
 
Reported: 2011-10-28 15:35 EDT by Christopher J Suleski
Modified: 2012-03-08 04:06 EST (History)
4 users (show)

See Also:
Fixed In Version: spacewalk-backend-1.2.13-64
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-06 13:17:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher J Suleski 2011-10-28 15:35:27 EDT
Description of problem:
Tracebacks triggered by a failure of xmlrpc/registration.py include all of the submitted data--including the user's password in clear text. This should be masked so that the password is not exposed in the logs or email.

Version-Release number of selected component (if applicable):
spacewalk-backend-xmlrpc-1.2.13-55.el5sat

How reproducible:
Always

Steps to Reproduce:
1. Use an unsupported option during the rhn registration, in this case we use "rhnreg_ks --subscription=xxxx"
2. The unknown attribute triggers a traceback to the log and email.
  
Actual results:
The traceback includes all the data from the registration, including the registering user's password in plain text.

Expected results:
The password should never be exposed.

Additional info:
Full reproducer traceback attached.
Comment 3 Jan Pazdziora 2012-01-10 05:18:25 EST
Fixed in Spacewalk master, 76d0064693107148e4a949fc7ad62d72bb3ec26c.

Also reverted change for bug 695282 in Spacewalk.
Comment 4 Miroslav Suchý 2012-01-11 05:21:38 EST
*** Bug 695282 has been marked as a duplicate of this bug. ***
Comment 5 Jan Pazdziora 2012-01-17 03:09:52 EST
Cherry picked to SATELLITE-5.4, 3a62d545541d5509786a5e4976527180b114f324.

Tagged and built as spacewalk-backend-1.2.13-64.
Comment 8 errata-xmlrpc 2012-02-06 13:17:16 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0101.html

Note You need to log in before you can comment on or make changes to this bug.